GTPin: GEN Register

GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

Data Structures | Functions
GEN Register
GTPin: GEN Architecture

Types that represent GEN registers and their elements More...

## Data Structures
class | gtpin::GtRegFileType
| < Ordinal number of the virtual register More...
class | gtpin::GtArchRegType
| Type of the architecture (ARF) register. More...
class | gtpin::GtReg
| Register descriptor. More...
## Functions
GtReg | gtpin::NullReg ()
| Make NULL register.
GtReg | gtpin::IpReg ()
| Make IP register.
GtReg | gtpin::StateReg (uint32_t subRegNum=0)
| Make STATE register.
GtReg | gtpin::TimeStampReg (uint32_t subRegNum=0)
| Make TM register.
GtReg | gtpin::ChannelEnableReg ()
| Make CE register.
GtReg | gtpin::DebugReg (uint32_t subRegNum=0)
| Make DBG register.
GtReg | gtpin::StackPointerReg (uint32_t subRegNum=0)
| Make SP register.
GtReg | gtpin::AccReg (uint32_t regNum, uint32_t subRegNum=0)
| Make ACC register.
GtReg | gtpin::ControlReg (uint32_t subRegNum=0)
| Make CONTROL register.
GtReg | gtpin::DispatchMaskReg ()
| Make DM register.
GtReg | gtpin::PerfMonReg ()
| Make PM register.
GtReg | gtpin::FcReg (uint32_t regNum, uint32_t subRegNum)
| Make FC register.
GtReg | gtpin::A0Reg (uint32_t subRegNum=0)
| Make ADDR register.
GtReg | gtpin::AddrReg (uint32_t subRegNum=0, uint32_t elementSize=sizeof(uint32_t))
| Make an ADDRESS register with the specified sub-register number and the element size.
GtReg | gtpin::AddrRegDw (uint32_t subRegNum=0)
| Make a0.{subRegNum}:ud register.
GtReg | gtpin::AddrRegW (uint32_t subRegNum=0)
| Make a0.{subRegNum}:uw register.
GtReg | gtpin::FlagReg (uint32_t flagNum, uint32_t subRegNum=0, uint32_t elementSize=sizeof(uint32_t))
| Make a FLAG register with the specified sub-register number and the element size.
GtReg | gtpin::FlagRegDw (uint32_t flagNum)
| Make f{flagNum}.{subRegNum}:ud register.
GtReg | gtpin::FlagRegW (uint32_t flagNum, uint32_t subRegNum=0)
| Make f{flagNum}.{subRegNum}:uw register.

## Detailed Description

Types that represent GEN registers and their elements

This group defines descriptors of architecture (ARF) and general-purpose (GRF) registers.

## Function Documentation

GtReg gtpin::AddrReg | ( | uint32_t | subRegNum = `0`,
|  | uint32_t | elementSize = `sizeof(uint32_t)`
| ) |  | `[inline]`

Make an ADDRESS register with the specified sub-register number and the element size.

Parameters:

  [in] | subRegNum | Sub-register number - index of the data element
  [in] | elementSize | Size of the sub-register in bytes. Valid values are 2 or 4 bytes

Precondition:
  elementSize == sizeof(uint16_t) || elementSize == sizeof(uint32_t)

GtReg gtpin::FlagReg | ( | uint32_t | flagNum,
|  | uint32_t | subRegNum = `0`,
|  | uint32_t | elementSize = `sizeof(uint32_t)`
| ) |  | `[inline]`

Make a FLAG register with the specified sub-register number and the element size.

Parameters:

  [in] | subRegNum | Sub-register number - index of the data element
  [in] | elementSize | Size of the sub-register in bytes. Valid values are 2 or 4 bytes

Precondition:
  elementSize == sizeof(uint16_t) || elementSize == sizeof(uint32_t)

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT